consoleText

download

20 Started by upstream project "cubicweb-3.23" build number 70
originally caused by:
Started by an SCM change
Building in workspace /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web
[py34-web] $ hg showconfig paths.default
[py34-web] $ hg pull
pulling from http://hg.logilab.org/review/cubicweb
searching for changes
adding changesets
adding manifests
adding file changes
added 4 changesets with 3 changes to 5 files
4 new obsolescence markers
updating bookmark cubicweb-3.23
(run 'hg update' to get a working copy)
[py34-web] $ hg update --clean --rev bd3b032c00bd9a2c4c49c7efc02892b85b1c4ddd
5 files updated, 0 files merged, 0 files removed, 0 files unresolved
[py34-web] $ hg --config extensions.purge= clean --all
[py34-web] $ hg log --rev . --template {node}
[py34-web] $ hg log --rev . --template {rev}
[py34-web] $ hg id --branch
[py34-web] $ /bin/bash -xe /tmp/hudson22760004028272203.sh
+ find . '(' -name 'pgdb*' -o -name 'tmpdb*' ')' -print0
+ xargs -0 rm -rf
[py34-web] $ /bin/bash -xe /tmp/hudson1424350641149997945.sh
+ PATH=/usr/lib/postgresql/9.4/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games
+ tox --recreate
py34-web create: /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/.tox/py34-web
py34-web installdeps: -e., -r/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/requirements.txt
py34-web develop-inst: /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web
py34-web installed: You are using pip version 7.1.2, however version 8.1.0 is available.,You should consider upgrading via the 'pip install --upgrade pip' command.,beautifulsoup4==4.4.1,chardet==2.3.0,colorama==0.3.2,-e hg+http://hg.logilab.org/review/cubicweb@bd3b032c00bd9a2c4c49c7efc02892b85b1c4ddd#egg=cubicweb-dev,cubicweb-blog==1.12.0,cubicweb-file==1.18.0,cubicweb-tag==1.8.3,cwclientlib==0.4.1,html2text==2016.1.8,html5lib==0.999,linecache2==1.0.0,logilab-common==1.2.0,logilab-constraint==0.6.0,logilab-database==1.15.0,logilab-mtconverter==0.9.0,lxml==3.5.0,Markdown==2.6.5,passlib==1.6.5,Pillow==3.1.1,psycopg2==2.5.4,py==1.4.25,pyasn1==0.1.7,python-apt==0.9.3.12,python-dateutil==2.5.0,python3-ldap==0.9.4.2,pytz==2016.1,requests==2.4.3,rql==0.34.0,six==1.8.0,tox==1.9.2,traceback2==1.4.0,Twisted==16.0.0,unattended-upgrades==0.1,unittest2==1.1.0,urllib3==1.9.1,virtualenv==1.11.6,waitress==0.8.10,WebOb==1.5.1,WebTest==2.0.20,wheel==0.24.0,yams==0.42.0,Yapps==2.2.0,Yapps2==2.2.0,zope.interface==4.1.3
py34-web runtests: PYTHONHASHSEED='182177675'
py34-web runtests: commands[0] | touch /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/.tox/py34-web/share/cubicweb/cubes/__init__.py
py34-web runtests: commands[1] | /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/.tox/py34-web/bin/python -c from logilab.common import pytest; pytest.run() -t /var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test
==================== unittest_views_pyviews.py =====================
2016-03-15 15:47:06 - (cubicweb.appobject) WARNING: can't find any workflow for CWUser
2016-03-15 15:47:19 - (cubicweb.web) WARNING: [3.17] massmailing extracted to cube massmailing that was not found. try installing it.
2016-03-15 15:47:19 - (cubicweb.web) WARNING: [3.17] igeocoding extracted to cube geocoding that was not found. try installing it.
2016-03-15 15:47:19 - (cubicweb.web) WARNING: [3.17] embedding extracted to cube embed that was not found. try installing it.
2016-03-15 15:47:19 - (cubicweb.web) WARNING: [3.17] isioc extracted to cube sioc that was not found. try installing it.
..
===================== unittest_views_forms.py ======================
...
===================== unittest_application.py ======================
2016-03-15 15:47:22 - (cubicweb.web) ERROR: Exception('whatever',)
Traceback (most recent call last):
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/.tox/py34-web/lib/python3.4/site-packages/logilab/common/pytest.py", line 1236, in _ts_wrapped_run
test(result, runcondition, options)
File "/usr/lib/python3.4/unittest/case.py", line 625, in __call__
return self.run(*args, **kwds)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/testlib.py", line 326, in run
return super(CubicWebTC, self).run(*args, **kwds)
TypeError: run() takes from 1 to 2 positional arguments but 4 were given

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/application.py", line 368, in core_handle
result = controller.publish(rset=rset)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/views/basecontrollers.py", line 134, in publish
rset=rset, view=view)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/cwvreg.py", line 225, in main_template
res = obj.render(**kwargs)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/view.py", line 138, in render
view_func(**context)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/views/basetemplates.py", line 163, in call
view.render(w=w)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/view.py", line 138, in render
view_func(**context)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_application.py", line 510, in call
raise Exception('whatever')
Exception: whatever
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anonf9f3ec7532fa4936b3ba09e2f6725cac Open session found while turning repository off
%sessionid, RuntimeWarning)
./var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon53bc911588e847b6bacb4a076c429d0e Open session found while turning repository off
%sessionid, RuntimeWarning)
..../var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype parent: ['Directory', 'Filesystem']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
.......2016-03-15 15:47:36 - (cubicweb.web) WARNING: the view toto could not be found
................
=================== unittest_views_editforms.py ====================
..................
========================= unittest_web.py ==========================
..127.0.0.1 - - [15/Mar/2016 15:47:43] "POST /ajax?fname=fileupload HTTP/1.1" 200 135
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon13060876fbfd4be3b1ef8d964a1ea96d Open session found while turning repository off
%sessionid, RuntimeWarning)
.127.0.0.1 - - [15/Mar/2016 15:47:44] "POST /ajax?fname=fileupload HTTP/1.1" 200 82
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anone12c90c633474842910f3e2a1a88e487 Open session found while turning repository off
%sessionid, RuntimeWarning)
.127.0.0.1 - - [15/Mar/2016 15:47:46] "GET / HTTP/1.1" 200 7786
127.0.0.1 - - [15/Mar/2016 15:47:47] "GET / HTTP/1.1" 200 7786
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anonbdeb306131854edc9960b1d66d6de2b1 Open session found while turning repository off
%sessionid, RuntimeWarning)
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon482efbc57e834653a86488be28254340 Open session found while turning repository off
%sessionid, RuntimeWarning)
.127.0.0.1 - - [15/Mar/2016 15:47:48] "GET //6 HTTP/1.1" 403 5581
127.0.0.1 - - [15/Mar/2016 15:47:50] "GET /login?__login=admin&__password=gingkow HTTP/1.1" 303 0
127.0.0.1 - - [15/Mar/2016 15:47:50] "GET //6 HTTP/1.1" 200 11845
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon3844db09f04e486f8e4ae1d5817531b5 Open session found while turning repository off
%sessionid, RuntimeWarning)
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: admine9c480251d22450e86290d7da0771d0f Open session found while turning repository off
%sessionid, RuntimeWarning)
.127.0.0.1 - - [15/Mar/2016 15:47:51] "GET / HTTP/1.1" 200 7786
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon76239cf6ef444b3e882482883dbd70f2 Open session found while turning repository off
%sessionid, RuntimeWarning)
.127.0.0.1 - - [15/Mar/2016 15:47:53] "GET / HTTP/1.1" 200 7667
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon6091b9df1d8d44dab43ae17811104025 Open session found while turning repository off
%sessionid, RuntimeWarning)
.127.0.0.1 - - [15/Mar/2016 15:47:54] "GET / HTTP/1.1" 200 7667
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon79d68fced00540b38cddb557379eb7c0 Open session found while turning repository off
%sessionid, RuntimeWarning)
.
===================== unittest_urlpublisher.py =====================
.............
=============== unittest_views_staticcontrollers.py ================
.2016-03-15 15:48:05 - (cubicweb.web) ERROR: concatenated data url error: 'dummy.js' file does not exist
.2016-03-15 15:48:05 - (cubicweb.web) ERROR: concatenated data url error: 'dummy.js' file does not exist
....
====================== unittest_views_json.py ======================
.../var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon52c0ecf9c3f44f01b13ced56f39dbf2c Open session found while turning repository off
%sessionid, RuntimeWarning)
.2016-03-15 15:48:08 - (cubicweb.web) WARNING: vid table can't be used with jsonp controller, falling back to jsonexport
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon12b87a5542c64b709bf8f42c946f0527 Open session found while turning repository off
%sessionid, RuntimeWarning)
.....2016-03-15 15:48:10 - (cubicweb.web) WARNING: vid table can't be used with jsonp controller, falling back to jsonexport
.
===================== unittest_views_xmlrss.py =====================
.
===================== unittest_breadcrumbs.py ======================
.
==================== unittest_idownloadable.py =====================
2016-03-15 15:48:12 - (cubicweb.web) ERROR: OSError()
Traceback (most recent call last):
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/.tox/py34-web/lib/python3.4/site-packages/logilab/common/pytest.py", line 1236, in _ts_wrapped_run
test(result, runcondition, options)
File "/usr/lib/python3.4/unittest/case.py", line 625, in __call__
return self.run(*args, **kwds)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/testlib.py", line 326, in run
return super(CubicWebTC, self).run(*args, **kwds)
TypeError: run() takes from 1 to 2 positional arguments but 4 were given

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/application.py", line 368, in core_handle
result = controller.publish(rset=rset)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/views/basecontrollers.py", line 134, in publish
rset=rset, view=view)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/cwvreg.py", line 225, in main_template
res = obj.render(**kwargs)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/view.py", line 138, in render
view_func(**context)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/views/basetemplates.py", line 120, in call
view.render()
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/view.py", line 138, in render
view_func(**context)
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/views/idownloadable.py", line 94, in call
self.w(adapter.download_data())
File "/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/test/unittest_idownloadable.py", line 59, in download_data
raise IOError()
OSError
......
=================== unittest_views_navigation.py ===================
...........
======================== unittest_facet.py =========================
....................
====================== unittest_webconfig.py =======================
...
====================== unittest_views_csv.py =======================
..
================ unittest_views_basecontrollers.py =================
................./var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype to_entity: ['CWAttribute', 'CWRelation']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
...../var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype read_permission: ['CWGroup', 'RQLExpression']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
2016-03-15 15:48:33 - (cubicweb.session) WARNING: no schema for 7
2016-03-15 15:48:34 - (cubicweb.session) WARNING: no schema for 7
..2016-03-15 15:48:34 - (cubicweb.web) WARNING: param login-subject mis-formatted
........................................./var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon17500eea4d4442319b58f2be66224bfb Open session found while turning repository off
%sessionid, RuntimeWarning)
.
=============== unittest_views_searchrestriction.py ================
........
========================= unittest_form.py =========================
..../var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype tags: ['Tag', 'BlogEntry', 'CWUser']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
...........
==================== unittest_views_treeview.py ====================
.
========================= unittest_http.py =========================
...........................
================= unittest_views_apacherewrite.py ==================
.
=================== unittest_views_baseviews.py ====================
.............
=================== unittest_views_errorform.py ====================
....
======================= unittest_request.py ========================
....
===================== unittest_magicsearch.py ======================
..................
===================== unittest_viewselector.py =====================
.......................
====================== unittest_controller.py ======================
..
==================== unittest_propertysheet.py =====================
.
=================== unittest_views_cwsources.py ====================
.
========================= test_jscript.py ==========================
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon0ef82c99e0e84fa28828a594bae1a5aa Open session found while turning repository off
%sessionid, RuntimeWarning)
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anon6703f09cf2f847e187bca1e0d61d968d Open session found while turning repository off
%sessionid, RuntimeWarning)
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: anone4d65d8ed5c2483c8c0e22d04392dc54 Open session found while turning repository off
%sessionid, RuntimeWarning)
.
================= unittest_views_basetemplates.py ==================
..
======================= unittest_reledit.py ========================
.S2016-03-15 15:49:26 - (cubicweb.rtags) WARNING: using explict subject type in <property object at 0x7fe59b6949f8>.tag_object_of() has no effect, use ("*", concerns, Project) instead of (Ticket, concerns, Project)
.
======================================================================
SKIPPED: test_default_forms (unittest_reledit.ClickAndEditFormTC)
Need to check if this test should still run post reledit/doreledit merge
==================== unittest_views_actions.py =====================
..
====================== unittest_urlrewrite.py ======================
........
===================== unittest_formwidgets.py ======================
...
======================== unittest_uicfg.py =========================
.........
===================== unittest_http_headers.py =====================
.
====================== unittest_formfields.py ======================
..../var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype owned_by: ['BaseTransition', 'CWSourceHostConfig', 'CWComputedRType', 'Filesystem', 'Salesterm', 'CWUniqueTogetherConstraint', 'WorkflowTransition', 'UserAccount', 'CWDataImport', 'Directory', 'CWCache', 'TreeNode', 'CWEType', 'CWSourceSchemaConfig', 'Workflow', 'Societe', 'Blog', 'SubWorkflowExitPoint', 'MicroBlog', 'Folder', 'MicroBlogEntry', 'File', 'CWConstraintType', 'Bookmark', 'CWUser', 'CWGroup', 'TrInfo', 'DirectoryPermission', 'State', 'Version', 'Personne', 'Project', 'CWAttribute', 'Ticket', 'CWSource', 'BlogEntry', 'CWConstraint', 'ExternalUri', 'CWProperty', 'RQLExpression', 'Transition', 'EmailAddress', 'CWRType', 'CWRelation', 'Tag']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
......
========================== test_views.py ===========================
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/devtools/__init__.py:111: RuntimeWarning: admin4d78f9ef06c1456282762effebd8358a Open session found while turning repository off
%sessionid, RuntimeWarning)
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype allowed_transition: ['BaseTransition', 'Transition', 'WorkflowTransition']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
/var/lib/jenkins/jobs/cubicweb-3.23/workspace/TOXENV/py34-web/cubicweb/web/formfields.py:1201: Warning: [yams 0.38] no targettype specified and there are several relation definitions for rtype constrained_by: ['CWAttribute', 'CWRelation']. Yet you get the first rdef.
rdef = eschema.rdef(rschema, role)
..2016-03-15 15:50:11 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1396 ['creation_date', 'modification_date', 'cwuri', 'name'] at 140623940968800>
2016-03-15 15:50:11 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1396 ['creation_date', 'modification_date', 'cwuri', 'name'] at 140623940968800>
2016-03-15 15:50:11 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1396 ['creation_date', 'modification_date', 'cwuri', 'name'] at 140623940968800>
2016-03-15 15:50:12 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1396 ['creation_date', 'modification_date', 'cwuri', 'name'] at 140623940968800>
2016-03-15 15:50:12 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1396 ['creation_date', 'modification_date', 'cwuri', 'name'] at 140623940968800>
2016-03-15 15:50:12 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1396 ['creation_date', 'modification_date', 'cwuri', 'name'] at 140623940968800>
2016-03-15 15:50:12 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1396 ['creation_date', 'modification_date', 'cwuri', 'name'] at 140623940968800>
2016-03-15 15:50:12 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1396 ['creation_date', 'modification_date', 'cwuri', 'name'] at 140623940968800>
2016-03-15 15:50:12 - (cubicweb.appobject) ERROR: cycle in breadcrumbs for entity <Entity TreeNode 1396 ['creation_date', 'modification_date', 'cwuri', 'name'] at 140623940968800>
.....
-> creating tables
-> inserting default user and default groups.
-> storing the schema in the database
-> database for instance data initialized.
Building autopopulate for database tmpdb
*******************************************************************************
Ran 363 test cases in 202.97s (194.81s CPU), 1 skipped
All 39 modules OK
___________________________________ summary ____________________________________
py34-web: commands succeeded
congratulations :)
[PostBuildScript] - Execution post build scripts.
[PostBuildScript] Build is not failure : do not execute script
[PostBuildScript] - Execution post build scripts.
[py34-web] $ /bin/bash -xe /tmp/hudson1299435328448659833.sh
+ /var/lib/jenkins/scripts/notify_forge_apycot.py cwo cubicweb bd3b032c00bd http://jenkins.logilab.fr/job/cubicweb-3.23/TOXENV=py34-web/70/ --status success
<br/>

log from execution
download